package core

import (
	"git.akyoto.dev/cli/q/src/fs"
	"git.akyoto.dev/cli/q/src/types"
)

// Environment holds information about the entire build.
type Environment struct {
	Constants map[string]*Constant
	Functions map[string]*Function
	Structs   map[string]*types.Struct
	Files     []*fs.File
}
