package core

type counter = uint8

// count stores how often a certain statement appeared so we can generate a unique label from it.
type count struct {
	assert      counter
	branch      counter
	multiBranch counter
	data        counter
	loop        counter
	subBranch   counter
}
