package types

var (
	Any        = &Base{name: "any", size: 0}
	AnyArray   = &Array{Of: Any}
	AnyPointer = &Pointer{To: Any}
	Int64      = &Base{name: "int64", size: 8}
	Int32      = &Base{name: "int32", size: 4}
	Int16      = &Base{name: "int16", size: 2}
	Int8       = &Base{name: "int8", size: 1}
	Float64    = &Base{name: "float64", size: 8}
	Float32    = &Base{name: "float32", size: 4}
	String     = &Array{Of: Byte}
)

var (
	Bool   = Int
	Byte   = UInt8
	Int    = Int64
	Float  = Float64
	UInt   = Int
	UInt64 = Int64
	UInt32 = Int32
	UInt16 = Int16
	UInt8  = Int8
)
